libgimpprint API Reference: include/gimp-print/channel.h Source File

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# include/gimp-print/channel.h

Go to the documentation of this file.

    00001 /*
    00002  * "$Id: channel_8h-source.html,v 1.1.1.2 2004/12/22 23:48:56 jlovell Exp $"
    00003  *
    00004  *   libgimpprint header.
    00005  *
    00006  *   Copyright 1997-2000 Michael Sweet (mike@easysw.com) and
    00007  *      Robert Krawitz (rlk@alum.mit.edu)
    00008  *
    00009  *   This program is free software; you can redistribute it and/or modify it
    00010  *   under the terms of the GNU General Public License as published by the Free
    00011  *   Software Foundation; either version 2 of the License, or (at your option)
    00012  *   any later version.
    00013  *
    00014  *   This program is distributed in the hope that it will be useful, but
    00015  *   WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    00016  *   or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    00017  *   for more details.
    00018  *
    00019  *   You should have received a copy of the GNU General Public License
    00020  *   along with this program; if not, write to the Free Software
    00021  *   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
    00022  *
    00023  * Revision History:
    00024  *
    00025  *   See ChangeLog
    00026  */
    00027
    00028 /*
    00029  * This file must include only standard C header files.  The core code must
    00030  * compile on generic platforms that don't support glib, gimp, gtk, etc.
    00031  */
    00032
    00033 #ifndef GIMP_PRINT_CHANNEL_H
    00034 #define GIMP_PRINT_CHANNEL_H
    00035
    00036 #ifdef __cplusplus
    00037 extern "C" {
    00038 #endif
    00039
    00040
    00041 extern void stp_channel_reset(stp_vars_t *v);
    00042 extern void stp_channel_reset_channel(stp_vars_t *v, int channel);
    00043
    00044 extern void stp_channel_add(stp_vars_t *v, unsigned channel,
    00045                             unsigned subchannel, double value);
    00046
    00047 extern void stp_channel_set_density_adjustment(stp_vars_t *v,
    00048                                                int color, int subchannel,
    00049                                                double adjustment);
    00050 extern void stp_channel_set_ink_limit(stp_vars_t *v, double limit);
    00051 extern void stp_channel_set_cutoff_adjustment(stp_vars_t *v,
    00052                                               int color, int subchannel,
    00053                                               double adjustment);
    00054 extern void stp_channel_set_black_channel(stp_vars_t *v, int channel);
    00055
    00056 extern void stp_channel_initialize(stp_vars_t *v, stp_image_t *image,
    00057                                    int input_channel_count);
    00058
    00059 extern void stp_channel_convert(const stp_vars_t *v, unsigned *zero_mask);
    00060
    00061 extern unsigned short * stp_channel_get_input(const stp_vars_t *v);
    00062
    00063 extern unsigned short * stp_channel_get_output(const stp_vars_t *v);
    00064
    00065 #ifdef __cplusplus
    00066   }
    00067 #endif
    00068
    00069 #endif /* GIMP_PRINT_CHANNEL_H */